net.sf.jasperreports.export

## Interface PrintServiceExporterConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ExporterConfiguration, Graphics2DExporterConfiguration
  All Known Implementing Classes:
    SimplePrintServiceExporterConfiguration

      public interface PrintServiceExporterConfiguration
      extends Graphics2DExporterConfiguration

  Interface containing settings used by the print service exporter.
  Version:
    $Id: PrintServiceExporterConfiguration.java 6717 2013-11-11 09:29:30Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRPrintServiceExporter`

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.print.attribute.PrintRequestAttributeSet` | `getPrintRequestAttributeSet()` Returns an instance of `javax.print.attribute.PrintRequestAttributeSet`.
    `javax.print.PrintService` | `getPrintService()` Returns an instance of `javax.print.PrintService`, useful if users do not want JPS to lookup for an available print service.
    `javax.print.attribute.PrintServiceAttributeSet` | `getPrintServiceAttributeSet()` Returns an instance of `javax.print.attribute.PrintServiceAttributeSet`.
    `java.lang.Boolean` | `isDisplayPageDialog()` Returns a boolean value specifying whether a page setup dialog should be opened before printing.
    `java.lang.Boolean` | `isDisplayPageDialogOnlyOnce()` Returns a boolean value specifying whether a page setup dialog should be opened only once before printing in a batch export job.
    `java.lang.Boolean` | `isDisplayPrintDialog()` Returns a boolean value specifying whether a print setup dialog should be opened before printing.
    `java.lang.Boolean` | `isDisplayPrintDialogOnlyOnce()` Returns a boolean value specifying whether a print setup dialog should be opened only once in a batch export job.

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Method Detail

    - #### getPrintRequestAttributeSet

          javax.print.attribute.PrintRequestAttributeSet getPrintRequestAttributeSet()

      Returns an instance of `javax.print.attribute.PrintRequestAttributeSet`.

    - #### getPrintServiceAttributeSet

          javax.print.attribute.PrintServiceAttributeSet getPrintServiceAttributeSet()

      Returns an instance of `javax.print.attribute.PrintServiceAttributeSet`.

    - #### isDisplayPageDialog

          java.lang.Boolean isDisplayPageDialog()

      Returns a boolean value specifying whether a page setup dialog should be opened before printing.

    - #### isDisplayPageDialogOnlyOnce

          java.lang.Boolean isDisplayPageDialogOnlyOnce()

      Returns a boolean value specifying whether a page setup dialog should be opened only once before printing in a batch export job.

    - #### isDisplayPrintDialog

          java.lang.Boolean isDisplayPrintDialog()

      Returns a boolean value specifying whether a print setup dialog should be opened before printing.

    - #### isDisplayPrintDialogOnlyOnce

          java.lang.Boolean isDisplayPrintDialogOnlyOnce()

      Returns a boolean value specifying whether a print setup dialog should be opened only once in a batch export job.

    - #### getPrintService

          javax.print.PrintService getPrintService()

      Returns an instance of `javax.print.PrintService`, useful if users do not want JPS to lookup for an available print service.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com